## midori 0.5.11-ds1

=== debian/changelog ===
midori (0.5.11-ds1-4) unstable; urgency=medium

  * Passing non-NULL sourceURL string to JSEvaluateScript.
    This fixes a segmentation fault that was happening after the last
    update of webkitgtk.  I am fixing this in Midori because I think it is
    a nice thing to do, but I will also report a bug against webkitgtk.
    (Closes: #834236)

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Sat, 13 Aug 2016 12:54:10 -0400

midori (0.5.11-ds1-3) unstable; urgency=medium

  * Bumping Standards-Version to 3.9.8; removing midori-dbg package.
    Our Standards-Version was out-of-date, so now we're using 3.9.8, the
    latest one.  Also, there is no need to build midori-dbg anymore,
    because Debian now builds dbgsym packages by default.
  * Using dversionmangle to correctly compare versions against upstream.
    This also fixes a lintian warnings.
  * Use HTTPS for Vcs-* links.
  * Update Format specification link on debian/copyright.
  * Enable hardening=+all when building.

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Tue, 19 Jul 2016 13:34:52 -0400

midori (0.5.11-ds1-2) unstable; urgency=medium

  * Update debian/watch with new URL for fetching tarball.
    This solves a lintian warning and makes it possible to track new
    releases through normal Debian mechanisms.

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Fri, 01 Jan 2016 16:38:27 -0500

midori (0.5.11-ds1-1) unstable; urgency=medium

  * Rename package (and source tarball) in order to fix a mistake that
    happened when uploading the first version of the "0.5.11" version.
    Somehow, the source tarball was different than the original tarball.
    Fortunately, the only difference were the timestamps.
  * Update version of Chromium's User-Agent string.
    We identify ourselves as Chromium to other websites, but the version
    we use in the User-Agent string is pretty old.  This commit updates it
    to a newer version (49.0.2571.2, from Nov 22 2015).  The positive
    side-effect from doing this is that Google does not bother the user
    asking her to upgrade to a "newer Chrome". (Closes: #805457)
  * Convert patch add-debian-searches to gbp-pq.
    Trivial adjustment on add-debian-searches in order to make it
    compliant with gbp-pq.
  * Better handling of self-signed certificates.
    Midori needs gcr/gnome-keyring in order to fully work with self-signed
    TLS certificates.  This commit improves the error message that is
    displayed when clicking on "Trust this website" does not work, and
    also makes the Debian Midori package recommend installing
    gnome-keyring.  This is the best we can do for now. (Closes: #799963)
  * Improve security by making sure that we use a safe set of ciphers.
    This comes from Debian bug #804196 (LP Bug #1517265).  When Midori
    uses libwebkitgtk, it inherits the default value of the
    G_TLS_GNUTLS_PRIORITY environment variable.  Unfortunately this value
    is not safe enough because it still lets GnuTLS to enable to unsafe
    ciphers.  Therefore, we need to set this variable ourselves and make
    sure that Midori is using safe ciphers for TLS operations. (Closes: #804196)
  * Override "source-is-missing data/autosuggestcontrol.js"
    Lintian is wrongly reporting a "source-is-missing" error for
    data/autosuggestcontrol.js.  I have reported a bug against it (809170)
    and now I am overriding the error.
  * Fix Vcs-* URLs.
    The package was still using old, non-canonical URLs for
    Vcs-{Git,Browser}.  Update them now.
  * Remove midori.menu (and solve lintian warning)
    Lintian was warning "command-in-menu-file-and-desktop-file".  Since
    Midori already ships a .desktop file, it is time to remove the
    midori.menu file from the package.

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Sun, 27 Dec 2015 16:12:18 -0500

midori (0.5.11-2) unstable; urgency=medium

  * Remove "Force SSL verification" patch.
    The patch "force-ssl-cert-verification.patch" was mistakenly included
    in the last Midori release; this cased a regression because the user
    cannot access a website that has a self-signed SSL/TLS certificate
    anymore.  This change removes the patch and allows the user to trust
    self-signed certificates again. (Closes: #799337)

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Fri, 18 Sep 2015 15:29:38 -0400

midori (0.5.11-1) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * New upstream release.
  * Apply patch from Colin Watson to improve conffile handling, using new
    debhelper features.                                         closes: #659773
  * debian/control:
    - update standards version to 3.9.3.
    - update homepage address.
    - remove myself from uploaders.
  * debian/midori.maintscript:
    - handle the /etc/xdg/midori/extensions/libadblock.so removal there.
                                                                closes: #660303
  * debian/patches:
    - force-ssl-cert-verification added, set ssl-strict to TRUE so connections
      are not done if the ssl certificate can't be trusted.
  * debian/compat bumped to 9.

  [ Ryan Niebur ]
  * new upstream version, including the waf unpack changes made thanks
    to the NMU by Koichi Akabe
    - refreshed patches
    - add new Build-Dep on libzeitgeist-dev
  * Improve dh_auto_clean target in d/rules to handle some leftover
    files from quilt and waf

  [ Andres Salomon ]
  * Import Debian patch 0.4.3+dfsg-0.2

  [ Sergio Durigan Junior ]
  * Changing gbp.conf to not override the default tag name for releases.
  * Updating section names on debian/gbp.conf
  * Imported Upstream version 0.5.11
  * Update debian/patches for the new Midori version (0.5.11).
  * Revamp build system (use cmake instead of waf)
    - Update debian/rules, removing old stuff (from waf) and adding new,
      simpler rules for the cmake-based build.
    - Update debian/control, listing the new package maintainer and
      reviewed dependencies.
    - Delete debian/waf-unpack file.


=== debian/control ===
Source: midori
Section: web
Priority: optional
Maintainer: Sergio Durigan Junior <sergiodj@sergiodj.net>
Build-Depends: debhelper (>= 9),
  cmake,
  valac,
  lsb-release,
  libwebkitgtk-dev (>= 1.8.1),
  libgtk2.0-dev (>= 2.24.0),
  libglib2.0-dev,
  libsoup-gnome2.4-dev (>= 2.27.90),
  libxml2-dev (>= 2.6),
  libsqlite3-dev (>= 3.6.19),
  libjavascriptcoregtk-1.0-dev,
  libnotify-dev,
  libgcr-3-dev (>= 2.32),
  librsvg2-bin,
  intltool,
  libunique-dev (>= 1.0.6),
  libzeitgeist-2.0-dev,
# Necessary for 'make check'
  xvfb,
  xauth,
  xfonts-base,
  libxss-dev
Standards-Version: 3.9.8
Homepage: http://www.midori-browser.org
Vcs-Git: https://anonscm.debian.org/git/collab-maint/midori.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/midori.git/

Package: midori
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gnome-icon-theme, gnome-keyring
Provides: www-browser
# For http://bugs.debian.org/522436 (missing symbols):
Conflicts: libsoup2.4-1 (<< 2.25.2)
Description: fast, lightweight graphical web browser
 Midori is a lightweight web browser based on WebKit.
 .
 Its features include:
 .
  * Full integration with GTK+2.
  * Fast rendering with WebKit.
  * Tabs, windows and session management.
  * Flexibly configurable Web Search.
  * User scripts and user styles support.
  * Straightforward bookmark management.
  * Customizable and extensible interface.
  * Support for extensions (written in C).
  * Custom context menu actions.

=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Necessary for the configuration file (xdg).
DISTRO = $(shell lsb_release -is)
CONFIG_FILE = debian/config/$(DISTRO).conf
ifneq (0, $(shell test -f $(CONFIG_FILE); echo "$$?"))
	DISTRO = Debian
endif

%:
	dh $@ --buildsystem=cmake --builddirectory=_build/

# Midori uses a "poor man's configure" which only accepts a minimal,
# pre-defined set of flags.  Therefore, we invoke cmake directly here.
override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_INSTALL_PREFIX=/usr \
	-DCMAKE_INSTALL_SYSCONFDIR=/etc \
	-DCMAKE_INSTALL_LIBDIR=/usr/lib \
	..

# cmake does not emit useful information when compiling the source
# files.  We use VERBOSE here for that.
override_dh_auto_build:
	dh_auto_build -- VERBOSE=1

# We have to override 'make check' because it needs to run under
# xvfb-run.  And some tests still fail.
override_dh_auto_test:
	(cd _build && xvfb-run make check) || true

override_dh_auto_install:
	dh_auto_install
	rm -f debian/midori/usr/share/doc/midori/COPYING debian/midori/usr/share/doc/midori/TRANSLATE
	install -m 0644 debian/$(DISTRO)-config debian/midori/etc/xdg/midori/config

# Updating the alternatives priority
PRIORITY = $(shell sed -ne 's/^DEBIAN_WWW_ALTERNATIVES_PRIORITY \([0-9]\+\)/\1/p' $(CONFIG_FILE))

debian/midori.postinst: debian/midori.postinst.base
	sed 's/DEBIAN_WWW_ALTERNATIVES_PRIORITY/$(PRIORITY)/g' debian/midori.postinst.base > debian/midori.postinst

override_dh_installdeb: debian/midori.postinst
	dh_installdeb

override_dh_installchangelogs:
	rm -f debian/midori/usr/share/doc/midori/ChangeLog
	dh_installchangelogs

=== debian/watch ===
version=4
opts="dversionmangle=s@-ds\d-\d+$@@" \
http://midori-browser.org/download/source/ \
  http://midori-browser.org/downloads/midori_([\d.]+)_all_.tar.bz2#!sha1!\w+

## midori 0.5.11-ds1-2+8.0trisquel1

=== debian/changelog ===
midori (0.5.11-ds1-2+8.0trisquel1) flidas; urgency=medium

  * Search engines configured for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 14 Aug 2016 02:16:53 +0000

## midori 7.0

=== CMakeLists.txt ===
# Copyright (C) 2013-2018 Christian Dywan <christian@twotoasts.de>

cmake_minimum_required(VERSION 3.2)

# dh_translations detects this if there's no variable used
set (GETTEXT_PACKAGE "midori")
add_definitions("-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\"")
project(${GETTEXT_PACKAGE} C)
set(PROJECT_BUGS https://github.com/midori-browser/core/issues)
set(PROJECT_WEBSITE https://www.midori-browser.org)
set(CORE_VERSION 7.0)

execute_process(COMMAND "git" "describe" "--tags"
                OUTPUT_VARIABLE REVISION
                ERROR_QUIET
                OUTPUT_STRIP_TRAILING_WHITESPACE)
if (REVISION)
    set(CORE_VERSION "${REVISION}")
    # All warnings are errors in development builds
    set(VALAFLAGS ${VALAFLAGS} --fatal-warnings)
else ()
    # No runtime type checks
    set(VALAFLAGS ${VALAFLAGS} --disable-assert)
endif ()

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
# Disallow building during install to avoid permission problems
set(CMAKE_SKIP_INSTALL_ALL_DEPENDENCY 1)

include(FindIntltool)

find_package(Vala REQUIRED)
vala_require("0.30.0")
set(VALAFLAGS ${VALAFLAGS}
    --debug
    --target-glib=2.48
    --enable-deprecated
    )

include(GNUInstallDirs)
set(DATADIR ${CMAKE_INSTALL_FULL_DATADIR})
set(PLUGINDIR "${CMAKE_INSTALL_FULL_LIBDIR}/${CMAKE_PROJECT_NAME}" CACHE STRING "Location for system-wide plugins")

find_package(PkgConfig)
pkg_check_modules(DEPS REQUIRED
                  sqlite3>=3.6.19
                  gio-2.0>=2.48.0
                  libsoup-2.4>=2.48.0
                  )
set(PKGS sqlite3 gio-2.0 libsoup-2.4)

pkg_check_modules(DEPS_GTK REQUIRED
                  gtk+-3.0>=3.12.0
                  webkit2gtk-4.0>=2.16.6
                  gcr-ui-3>=2.32
                  libpeas-gtk-1.0
                  )
set(PKGS ${PKGS} gtk+-3.0 libsoup-2.4 gcr-ui-3 libpeas-gtk-1.0)
set(EXTRA_VAPIS
    ${CMAKE_SOURCE_DIR}/vapi/config.vapi
    ${CMAKE_SOURCE_DIR}/vapi/webkit2gtk-4.0.vapi
    ${CMAKE_SOURCE_DIR}/vapi/javascriptcoregtk-4.0.vapi)

add_definitions("-DGCR_API_SUBJECT_TO_CHANGE")
set(CFLAGS "${CFLAGS} -g")

# Explicitly add -fPIC for older toolchains
set(VALA_CFLAGS "-g -fPIC -w -Werror")

set(LIBCORE "${CMAKE_PROJECT_NAME}-core")
set(CORE_USER_AGENT_VERSION "Midori/6")

configure_file(config.h.in config.h @ONLY)

# CMake provides no uninstall target by design
add_custom_target (uninstall
    COMMAND "xargs" "rm" "-v" "<" "install_manifest.txt")

install(FILES COPYING README.md DESTINATION ${CMAKE_INSTALL_DOCDIR})

set(DESKTOP_ICON "${CMAKE_PROJECT_NAME}" CACHE STRING "The Icon value to be used in the .desktop file")

add_subdirectory (core)
add_subdirectory (web)
add_subdirectory (extensions)
enable_testing()
add_subdirectory (tests)
add_subdirectory (po)
add_subdirectory (icons)
add_subdirectory (data)

=== core/CMakeLists.txt ===
# Copyright (C) 2013-2018 Christian Dywan <christian@twotoasts.de>

set(LIBCORE_VERSION 0.6)
set(LIBCORE_SOVERSION 0)
set(LIBCORE_GIR Midori-${LIBCORE_VERSION})

file(GLOB LIBCORE_SOURCE *.vala)
list(REMOVE_ITEM LIBCORE_SOURCE "main.vala")
set(MAIN_SOURCE
    main.vala
    )

include(ValaPrecompile)
vala_precompile(LIBCORE_SOURCE_C ${LIBCORE}
    ${LIBCORE_SOURCE}
PACKAGES
    ${PKGS}
OPTIONS
    ${VALAFLAGS}
    --gresources="${CMAKE_SOURCE_DIR}/gresource.xml"
CUSTOM_VAPIS
    ${EXTRA_VAPIS}
GENERATE_VAPI
    "${LIBCORE}"
GENERATE_GIR
    ${LIBCORE_GIR}
GENERATE_HEADER
    "${LIBCORE}"
)

vala_precompile(MAIN_SOURCE_C ${CMAKE_PROJECT_NAME}
    ${MAIN_SOURCE}
PACKAGES
    ${PKGS}
OPTIONS
    ${VALAFLAGS}
CUSTOM_VAPIS
    ${EXTRA_VAPIS}
)

file(GLOB UI_FILES ${CMAKE_SOURCE_DIR}/ui/*.ui)
find_program (GLIB_COMPILE_RESOURCES_BIN glib-compile-resources)
add_custom_command(OUTPUT resources.c
                   COMMAND ${GLIB_COMPILE_RESOURCES_BIN}
                   --sourcedir ${CMAKE_SOURCE_DIR}
                   --generate-source
                   --target ${CMAKE_CURRENT_BINARY_DIR}/resources.c
                   ${CMAKE_SOURCE_DIR}/gresource.xml
                   DEPENDS ${CMAKE_SOURCE_DIR}/gresource.xml
                   DEPENDS ${CMAKE_SOURCE_DIR}/data/gtk3.css
                   DEPENDS ${UI_FILES}
                   )

add_library("${LIBCORE}" SHARED ${LIBCORE_SOURCE_C} ${CMAKE_CURRENT_BINARY_DIR}/resources.c)
target_link_libraries("${LIBCORE}"
                      ${DEPS_LIBRARIES}
                      ${DEPS_GTK_LIBRARIES}
                      )
set_target_properties("${LIBCORE}" PROPERTIES
                      COMPILE_FLAGS "${VALA_CFLAGS}"
                      POSITION_INDEPENDENT_CODE ON
                      COMPILE_FLAGS ${VALA_CFLAGS}
                      SOVERSION ${LIBCORE_SOVERSION}
                      VERSION ${LIBCORE_VERSION}
                      )

find_program (GIR_COMPILER_BIN g-ir-compiler)
add_custom_target(${LIBCORE_GIR}.typelib ALL
                  COMMAND ${GIR_COMPILER_BIN} ${CMAKE_CURRENT_BINARY_DIR}/${LIBCORE_GIR}.gir
                  --output ${CMAKE_CURRENT_BINARY_DIR}/${LIBCORE_GIR}.typelib
                  DEPENDS ${LIBCORE_GIR}.gir
                  )
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${LIBCORE_GIR}.gir"
        DESTINATION "${CMAKE_INSTALL_DATADIR}/gir-1.0/")
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${LIBCORE_GIR}.typelib"
        DESTINATION "${CMAKE_INSTALL_LIBDIR}/girepository-1.0/")

include_directories(
                    ${CMAKE_SOURCE_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_BINARY_DIR}
                    ${DEPS_INCLUDE_DIRS}
                    ${DEPS_GTK_INCLUDE_DIRS}
                    )
if (WIN32)
    install(TARGETS ${LIBCORE}
            LIBRARY DESTINATION ${CMAKE_INSTALL_BINDIR}
            RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
            )
else ()
    install(TARGETS ${LIBCORE}
            LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
            )
endif ()

set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})

if (WIN32)
    add_executable(${CMAKE_PROJECT_NAME} WIN32 ${MAIN_SOURCE_C} "${CMAKE_SOURCE_DIR}/data/main.rc")
else()
    add_executable(${CMAKE_PROJECT_NAME} ${MAIN_SOURCE_C})
endif()

target_link_libraries(${CMAKE_PROJECT_NAME}
                      ${LIBCORE})
set_target_properties(${CMAKE_PROJECT_NAME} PROPERTIES
                      COMPILE_FLAGS ${VALA_CFLAGS}
                      )
install(TARGETS ${CMAKE_PROJECT_NAME}
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        )

=== data/CMakeLists.txt ===
# Copyright (C) 2013-2018 Christian Dywan <christian@twotoasts.de>

find_program (XMLLINT_EXECUTABLE xmllint)
if (NOT XMLLINT_EXECUTABLE)
    message(FATAL_ERROR "xmllint not found")
endif ()

file(GLOB_RECURSE DATA_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *)
list(REMOVE_ITEM DATA_FILES "CMakeLists.txt")

foreach(FILE ${DATA_FILES})
    if (${FILE} MATCHES ".desktop")
        if (NOT WIN32)
            FILE(READ ${CMAKE_CURRENT_SOURCE_DIR}/${FILE} CONTENT)
            # Escape CMake list-separator ";" first
            string(REPLACE ";" "\\;" CONTENT "${CONTENT}")
            string(REPLACE "Icon=${CMAKE_PROJECT_NAME}"
                           "Icon=${DESKTOP_ICON}"
                           CONTENT "${CONTENT}")
            FILE(WRITE ${FILE} ${CONTENT})
            string(REPLACE ".desktop.in" "" DESKTOP_ID ${FILE})
            INTLTOOL_MERGE_DESKTOP (${DESKTOP_ID} po)
        endif ()
    elseif (${FILE} MATCHES ".appdata.xml")
        if (NOT WIN32)
            string(REPLACE ".appdata.xml.in" "" DESKTOP_ID ${FILE})
            INTLTOOL_MERGE_APPDATA (${DESKTOP_ID} po)
        endif ()
    endif()

endforeach()

=== extensions/CMakeLists.txt ===
# Copyright (C) 2013-2018 Christian Dywan <christian@twotoasts.de>

include_directories(
                    "${CMAKE_SOURCE_DIR}"
                    "${CMAKE_SOURCE_DIR}/core"
                    ${DEPS_INCLUDE_DIRS}
                    ${DEPS_GTK_INCLUDE_DIRS}
                    ${CMAKE_BINARY_DIR}
                    "${CMAKE_BINARY_DIR}/core"
                    )

file(GLOB EXTENSIONS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *)
foreach(UNIT_SRC ${EXTENSIONS})
    # Extension sources may be in folders
    string(FIND ${UNIT_SRC} "." UNIT_EXTENSION)
    if (UNIT_EXTENSION EQUAL -1)
        set(UNIT ${UNIT_SRC})
        file(GLOB UNIT_SRC RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "${UNIT_SRC}/*.vala")
    elseif (${UNIT_SRC} MATCHES "(.vala)$")
        string(REPLACE ".vala" "" UNIT ${UNIT_SRC})
    endif ()

    if ("${UNIT_SRC}" MATCHES "(.vala)$")
        include(ValaPrecompile)
        vala_precompile(UNIT_SRC_C ${UNIT}
            ${UNIT_SRC}
        PACKAGES
            ${PKGS}
        OPTIONS
            ${VALAFLAGS}
            --gresources="${CMAKE_SOURCE_DIR}/gresource.xml"
        CUSTOM_VAPIS
            ${CMAKE_BINARY_DIR}/core/${LIBCORE}.vapi
            ${EXTRA_VAPIS}
        )

        add_library(${UNIT} MODULE ${UNIT_SRC_C})
        set_target_properties(${UNIT} PROPERTIES
                              COMPILE_FLAGS "${VALA_CFLAGS}"
                              )
    else ()
        continue()
    endif ()
    target_link_libraries(${UNIT}
                          ${DEPS_LIBRARIES}
                          ${DEPS_GTK_LIBRARIES}
                          ${LIBCORE}
                          )
    install(TARGETS ${UNIT}
            LIBRARY DESTINATION ${PLUGINDIR}
            )
    set(MANIFEST "${UNIT}.plugin")
    INTLTOOL_MERGE_DESKTOP_LIKE (${MANIFEST} po)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${MANIFEST}
            DESTINATION ${PLUGINDIR}
            )
endforeach ()

=== icons/CMakeLists.txt ===
# Copyright (C) 2013-2018 Christian Dywan <christian@twotoasts.de>

macro(install_icon name cat size)
    file(GLOB FILENAME RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "${size}/${cat}/${name}.*")
    install(FILES ${FILENAME} DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/${size}/${cat})
endmacro()

foreach(SIZE 16x16 22x22 scalable)
    install_icon(midori apps ${SIZE})
endforeach()

=== po/CMakeLists.txt ===
# Copyright (C) 2013-2018 Christian Dywan <christian@twotoasts.de>

include(FindGettext)
if (GETTEXT_FOUND)
    file(GLOB POTFILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*.po")
    string(REPLACE ".po" ";" ALL_LANGUAGES ${POTFILES})

    # if LINGUAS is set, we need to filter its values to languages
    # actually supported
    # NB: LINGUAS="" is distinct from unset, and means 'install no l10n'
    if(DEFINED ENV{LINGUAS})
        set(LINGUAS $ENV{LINGUAS})
        string(REPLACE " " ";" LINGUAS "${LINGUAS}")
        set(LANGUAGES)
        foreach(LANG ${LINGUAS})
            list(FIND ALL_LANGUAGES ${LANG} LANG_IDX)
            if(NOT LANG_IDX EQUAL -1)
                list(APPEND LANGUAGES ${LANG})
            endif()
        endforeach()
    else()
        set(LANGUAGES ${ALL_LANGUAGES})
    endif()

    message(STATUS "gettext found: ${LANGUAGES}")
    if ("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION}" VERSION_LESS "2.8.8")
        GETTEXT_CREATE_TRANSLATIONS("${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.pot" ALL ${POTFILES})
    else()
        foreach(LANG ${LANGUAGES})
            GETTEXT_PROCESS_PO_FILES(${LANG} ALL PO_FILES ${LANG}.po)
            install(FILES "${CMAKE_CURRENT_BINARY_DIR}/${LANG}.gmo"
                    DESTINATION "${CMAKE_INSTALL_FULL_LOCALEDIR}/${LANG}/LC_MESSAGES"
                    RENAME "${GETTEXT_PACKAGE}.mo")
            endforeach ()
    endif()
else ()
    message(STATUS "gettext not found")
endif ()

=== tests/CMakeLists.txt ===
# Copyright (C) 2013-2018 Christian Dywan <christian@twotoasts.de>

include(ContainTest)
add_custom_target(check COMMAND "env" "CTEST_OUTPUT_ON_FAILURE=1" "${CMAKE_CTEST_COMMAND}")

include_directories(
                    "${CMAKE_SOURCE_DIR}"
                    "${CMAKE_SOURCE_DIR}/core"
                    ${DEPS_INCLUDE_DIRS}
                    ${DEPS_GTK_INCLUDE_DIRS}
                    ${CMAKE_BINARY_DIR}
                    "${CMAKE_BINARY_DIR}/core"
                    )
file(GLOB TESTS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.c *.vala)
foreach(UNIT_SRC ${TESTS})
    if (${UNIT_SRC} MATCHES "(.vala)$")
        string(REPLACE ".vala" "" UNIT ${UNIT_SRC})
        include(ValaPrecompile)
        vala_precompile(UNIT_SRC_C ${UNIT}
            ${UNIT_SRC}
        PACKAGES
            ${PKGS}
        OPTIONS
            ${VALAFLAGS}
        CUSTOM_VAPIS
            ${EXTRA_VAPIS}
            "${CMAKE_BINARY_DIR}/core/${LIBCORE}.vapi"
        )

        add_executable(${UNIT} ${UNIT_SRC_C})
        set_target_properties(${UNIT} PROPERTIES
                              COMPILE_FLAGS "${VALA_CFLAGS}"
                              )
    else()
        string(REPLACE ".c" "" UNIT ${UNIT_SRC})
        add_executable(${UNIT} ${UNIT_SRC})
        set_target_properties(${UNIT} PROPERTIES
                              COMPILE_FLAGS ${CFLAGS}
                              )
    endif()

    target_link_libraries(${UNIT}
                          ${LIBCORE}
                          )
    add_test(NAME ${UNIT} COMMAND ${UNIT})
    contain_test (${UNIT} ${UNIT})
endforeach ()

file(GLOB TESTS *.sh)
foreach(UNIT_SRC ${TESTS})
    string(REPLACE ".sh" "" UNIT ${UNIT_SRC})
    add_test(NAME ${UNIT} COMMAND ${UNIT_SRC})
    file(RELATIVE_PATH BLDDIR ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
    set_tests_properties(${UNIT} PROPERTIES
                         ENVIRONMENT "SRCDIR=${CMAKE_SOURCE_DIR};BLDDIR=${BLDDIR};"
                         )
endforeach ()

=== web/CMakeLists.txt ===
# Copyright (C) 2013-2018 Christian Dywan <christian@twotoasts.de>

include_directories(
                    "${CMAKE_SOURCE_DIR}"
                    "${CMAKE_SOURCE_DIR}/core"
                    ${DEPS_INCLUDE_DIRS}
                    ${DEPS_GTK_INCLUDE_DIRS}
                    ${CMAKE_BINARY_DIR}
                    "${CMAKE_BINARY_DIR}/core"
                    )
file(GLOB EXTENSIONS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.c *.vala)
foreach(UNIT_SRC ${EXTENSIONS})
    if (${UNIT_SRC} MATCHES "(.vala)$")
        string(REPLACE ".vala" "" UNIT ${UNIT_SRC})
        include(ValaPrecompile)
        vala_precompile(UNIT_SRC_C ${UNIT}
            ${UNIT_SRC}
            ${CMAKE_SOURCE_DIR}/core/loggable.vala
            ${CMAKE_SOURCE_DIR}/core/plugins.vala
            ${CMAKE_SOURCE_DIR}/core/settings.vala
        PACKAGES
            libsoup-2.4 libpeas-1.0
        OPTIONS
            ${VALAFLAGS}
        CUSTOM_VAPIS
            ${CMAKE_SOURCE_DIR}/vapi/config.vapi
            ${CMAKE_SOURCE_DIR}/vapi/webkit2gtk-web-extension-4.0.vapi
            ${CMAKE_SOURCE_DIR}/vapi/javascriptcoregtk-4.0.vapi
        )

        add_library(${UNIT} MODULE ${UNIT_SRC_C})
        set_target_properties(${UNIT} PROPERTIES
                              COMPILE_FLAGS "${VALA_CFLAGS}"
                              )
    else()
        string(REPLACE ".c" "" UNIT ${UNIT_SRC})
        add_library(${UNIT} MODULE ${UNIT_SRC})
        set_target_properties(${UNIT} PROPERTIES
                              COMPILE_FLAGS ${CFLAGS}
                              )
    endif()
    target_link_libraries(${UNIT}
                          ${DEPS_LIBRARIES}
                          ${DEPS_GTK_LIBRARIES}
                          )
    install(TARGETS ${UNIT}
            LIBRARY DESTINATION ${PLUGINDIR}
            )
endforeach ()

=== debian/changelog ===
midori (7.0-2) unstable; urgency=high

  * Fix validation of HTTP proxy preference. (Closes: #920401)
  * Remove obsolete conffiles from before 6.0. (Closes: #919199)

 -- Dominik George <natureshadow@debian.org>  Sun, 24 Feb 2019 15:19:35 +0100

midori (7.0-1) unstable; urgency=medium

  * New upstream version.
  * Build with libjavascriptcoregtk 4.

 -- Dominik George <natureshadow@debian.org>  Thu, 13 Dec 2018 12:30:42 +0100

midori (6.0-1) unstable; urgency=medium

  * New upstream version.
    + Uses WebKit 2 and GTK 3.
    + Remove patches.
    + Remove Debian/Ubuntu config split.
    + Update d/copyright.
  * Take over maintenance.

 -- Dominik George <natureshadow@debian.org>  Sun, 04 Nov 2018 01:43:23 +0100

=== debian/control ===
Source: midori
Section: web
Priority: optional
Maintainer: Dominik George <natureshadow@debian.org>
Uploaders: Sergio Durigan Junior <sergiodj@sergiodj.net>
Build-Depends:
 cmake,
 debhelper (>= 11),
 intltool,
 libgcr-3-dev (>= 2.32),
 libjavascriptcoregtk-4.0-dev,
 libnotify-dev,
 libpeas-dev,
 librsvg2-bin,
 libsoup-gnome2.4-dev (>= 2.27.90),
 libsqlite3-dev (>= 3.6.19),
 libunique-dev (>= 1.0.6),
 libwebkit2gtk-4.0-dev,
 libxml2-dev (>= 2.6),
 libxml2-utils,
 libxss-dev,
 libzeitgeist-2.0-dev,
 lsb-release,
 valac,
 xauth,
 xfonts-base,
 xvfb,
Standards-Version: 4.2.1
Homepage: https://www.midori-browser.org/
Vcs-Git: https://salsa.debian.org/debian/midori.git
Vcs-Browser: https://salsa.debian.org/debian/midori

Package: midori
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gnome-icon-theme,
 gnome-keyring,
Provides:
 www-browser,
Conflicts:
 libsoup2.4-1 (<< 2.25.2),
Description: fast, lightweight graphical web browser
 Midori is a lightweight web browser based on WebKit.
 .
 Its features include:
 .
  * Full integration with GTK+2.
  * Fast rendering with WebKit.
  * Tabs, windows and session management.
  * Flexibly configurable Web Search.
  * User scripts and user styles support.
  * Straightforward bookmark management.
  * Customizable and extensible interface.
  * Support for extensions (written in C).
  * Custom context menu actions.

=== debian/watch ===
version=4
#opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/midori-$1\.tar\.gz/ \
  https://github.com/midori-browser/core/releases .*/midori-v?(\d\S+)\.tar\.gz

## midori 7.0-2+9.0trisquel2

=== debian/changelog ===
midori (7.0-2+9.0trisquel2) etiona; urgency=medium

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Nov 2019 22:29:46 +0000

## midori 8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 project(${GETTEXT_PACKAGE} C)
 set(PROJECT_BUGS https://github.com/midori-browser/core/issues)
 set(PROJECT_WEBSITE https://www.midori-browser.org)
-set(CORE_VERSION 7.0)
+set(CORE_VERSION 8.0)
 
 execute_process(COMMAND "git" "describe" "--tags"
                 OUTPUT_VARIABLE REVISION
@@ -33,7 +33,7 @@
 vala_require("0.30.0")
 set(VALAFLAGS ${VALAFLAGS}
     --debug
-    --target-glib=2.48
+    --target-glib=2.46
     --enable-deprecated
     )
 
@@ -44,7 +44,7 @@
 find_package(PkgConfig)
 pkg_check_modules(DEPS REQUIRED
                   sqlite3>=3.6.19
-                  gio-2.0>=2.48.0
+                  gio-2.0>=2.46.2
                   libsoup-2.4>=2.48.0
                   )
 set(PKGS sqlite3 gio-2.0 libsoup-2.4)
@@ -54,10 +54,13 @@
                   webkit2gtk-4.0>=2.16.6
                   gcr-ui-3>=2.32
                   libpeas-gtk-1.0
+                  json-glib-1.0>=0.12
+                  libarchive
                   )
-set(PKGS ${PKGS} gtk+-3.0 libsoup-2.4 gcr-ui-3 libpeas-gtk-1.0)
+set(PKGS ${PKGS} gtk+-3.0 libsoup-2.4 gcr-ui-3 libpeas-gtk-1.0 json-glib-1.0 posix)
 set(EXTRA_VAPIS
     ${CMAKE_SOURCE_DIR}/vapi/config.vapi
+    ${CMAKE_SOURCE_DIR}/vapi/libarchive.vapi
     ${CMAKE_SOURCE_DIR}/vapi/webkit2gtk-4.0.vapi
     ${CMAKE_SOURCE_DIR}/vapi/javascriptcoregtk-4.0.vapi)

=== core/CMakeLists.txt ===
--- 
+++ 
@@ -48,6 +48,7 @@
                    ${CMAKE_SOURCE_DIR}/gresource.xml
                    DEPENDS ${CMAKE_SOURCE_DIR}/gresource.xml
                    DEPENDS ${CMAKE_SOURCE_DIR}/data/gtk3.css
+                   DEPENDS ${CMAKE_SOURCE_DIR}/data/web-extension-api.js
                    DEPENDS ${UI_FILES}
                    )

=== debian/changelog ===
midori (8.0-0.1~mx17+1) mx; urgency=medium

  * New upstream release; build for MX 17.
  * Drop all patches; fixed upstream.
  * Add libarchive-dev and libjson-glib-dev (>= 0.12) as build-deps.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 04 Mar 2019 17:25:50 -0800

## midori 9.0

=== debian/changelog ===
midori (9.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 07 Sep 2019 12:21:10 -0700

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,30 @@
 Source: midori
 Section: web
 Priority: optional
-Maintainer: Dominik George <natureshadow@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Dominik George <natureshadow@debian.org>
 Uploaders: Sergio Durigan Junior <sergiodj@sergiodj.net>
 Build-Depends:
  cmake,
- debhelper (>= 11),
+ debhelper (>= 10),
  intltool,
+ libarchive-dev,
  libgcr-3-dev (>= 2.32),
  libjavascriptcoregtk-4.0-dev,
+ libjson-glib-dev (>= 0.12),
  libnotify-dev,
  libpeas-dev,
  librsvg2-bin,
- libsoup-gnome2.4-dev (>= 2.27.90),
+ libsoup-gnome2.4-dev (>= 2.48.0),
  libsqlite3-dev (>= 3.6.19),
  libunique-dev (>= 1.0.6),
- libwebkit2gtk-4.0-dev,
+ libwebkit2gtk-4.0-dev (>= 2.16.16),
  libxml2-dev (>= 2.6),
  libxml2-utils,
  libxss-dev,
  libzeitgeist-2.0-dev,
  lsb-release,
- valac,
+ valac (>= 0.30.0),
  xauth,
  xfonts-base,
  xvfb,
